This returns the error report of the pim batch file.
1 min
GET
https://api.upstartcommerce.com/pim/batch/attribute-group/{id}/erroneous-report
Query Parameters
- pageinteger<int32>requiredDescriptionFormatint32Minimum0
- pageSizeinteger<int32>requiredDescriptionFormatint32Minimum0
- errorTypestringrequiredDescriptionAllowedPROCESSINGVALIDATIONDUPLICATEALL
Responses
200
- AttributeGroupBatchErroneousReport.json
curl
curl --request GET \
--url 'https://api.upstartcommerce.com/pim/batch/attribute-group/{id}/erroneous-report?page=integer%3Cint32%3E&pageSize=integer%3Cint32%3E&errorType=PROCESSING' \
--header 'accept: application/json'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://api.upstartcommerce.com/pim/batch/attribute-group/{id}/erroneous-report?page=integer<int32>&pageSize=integer<int32>&errorType=PROCESSING", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.upstartcommerce.com/pim/batch/attribute-group/{id}/erroneous-report?page=integer<int32>&pageSize=integer<int32>&errorType=PROCESSING")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Get.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://api.upstartcommerce.com/pim/batch/attribute-group/{id}/erroneous-report?page=integer<int32>&pageSize=integer<int32>&errorType=PROCESSING"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
200
// Erroneous Report returned successfully.
{}